@echo off


@if not "%ECHO%" == ""  echo %ECHO%
@if "%OS%" == "Windows_NT"  setlocal

set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%
set PROGNAME=run.bat
if "%OS%" == "Windows_NT" set PROGNAME=%~nx0%

set nopause=on




if not "%JAVA_HOME%" == "" goto ADD_TOOLS

set JAVA=java

echo JAVA_HOME is not set.  Unexpected results may occur.
echo Set JAVA_HOME to the directory of your local JDK to avoid this message.
pause
goto SKIP_TOOLS

:ADD_TOOLS

set JAVA=%JAVA_HOME%\bin\java

if exist "%JAVA_HOME%\lib\tools.jar" goto SKIP_TOOLS
echo Could not locate %JAVA_HOME%\lib\tools.jar. Unexpected results may occur.
echo Make sure that JAVA_HOME points to a JDK and not a JRE.
pause

:SKIP_TOOLS

rem Add the CopperCore.properties to the class path
set JBOSS_CLASSPATH=%DIRNAME%;


rem Setup file prefix for configuration
set JAVA_OPTS=-Dcoppercore.prefix="%DIRNAME%\"
echo %JAVA_OPTS%
rem Launch JBoss
echo start "JBoss Application Server Running CopperCore" cmd /c "%DIRNAME%JBoss\bin\run.bat" %*
start "JBoss Application Server Running CopperCore" cmd /c "%DIRNAME%JBoss\bin\run.bat" %*