echo off
rem Clicc 1.1 CopperCore Management Console

@if not "%ECHO%" == ""  echo %ECHO%
@if "%OS%" == "Windows_NT"  setlocal

set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%

rem Make launch directory the working directory to ensure that logging is placed correctly
%~d0%
cd %DIRNAME%

rem setup paths to libraries
set JBOSS_DIR=%DIRNAME%\JBoss
set LIB_DIR=%JBOSS_DIR%\server\default\lib

rem setup class path for clicc

rem add coppercore.properties to class path
SET CP=%DIRNAME%

rem add jboss client libraries to class path
SET CP=%CP%;%JBOSS_DIR%\client\jboss_client.jar;%JBOSS_DIR%\client\jboss-common-client.jar;%JBOSS_DIR%\client\jboss-j2ee.jar;%JBOSS_DIR%\client\jbossjmx-ant.jar;%JBOSS_DIR%\client\jbosssx-client.jar;%JBOSS_DIR%\client\jboss-transaction-client.jar;%JBOSS_DIR%\client\jbossall-client.jar

rem add log4j library to class path
SET CP=%CP%;%JBOSS_DIR%\client\log4j.jar

rem add coppercore libraries to class path
SET CP=%CP%;%LIB_DIR%\coppercore-client.jar;%LIB_DIR%\coppercore-common.jar

rem add xerces libraries to class path
SET CP=%CP%;%JBOSS_DIR%\lib\xml-apis.jar;%JBOSS_DIR%\lib\xercesImpl.jar

rem add jug library to class path
SET CP=%CP%;%LIB_DIR%\jug.jar

rem setup system properties for clicc
set SP=-Dcoppercore.prefix=%DIRNAME%
set SP=%SP% -Djava.naming.factory.initial=org.jnp.interfaces.NamingContextFactory -Djava.naming.factory.url.pkgs=org.jboss.naming:org.jnp.interfaces -Djava.naming.provider.url=jnp://localhost:1099

"%JAVA_HOME%\bin\java" %SP% -cp "%CP%" org.coppercore.clients.Clicc
